package helloejb.clients;

import helloejb.session.HelloEJBHomeRemote;
import helloejb.session.HelloEJBRemote;

import javax.naming.InitialContext;
import javax.naming.Context;
import javax.rmi.PortableRemoteObject;
import java.rmi.RemoteException;

/**
 * Example of calling session bean
 */
public class Client_1
{

   public static void main(String [] args) 
   {
      try 
      {
         Context jndiContext = getInitialContext();

         Object ref = jndiContext.lookup("HelloEJBHomeRemote");
         HelloEJBHomeRemote home = (HelloEJBHomeRemote)
            PortableRemoteObject.narrow(ref,HelloEJBHomeRemote.class);

         HelloEJBRemote helloEJB = home.create();
         String result = helloEJB.sayHello("EJB");  
         System.out.println(result);
	 } catch(RemoteException re){re.printStackTrace();}
	 catch(Throwable t){t.printStackTrace();}
   }

   static public Context getInitialContext() throws Exception 
   {
      return new InitialContext();
   }
}

